Автор Тема: Проблем с инсталиране на 2.6.19 ядро  (Прочетена 1894 пъти)

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Следват тези стъпки:
Примерен код
1. Копирах linux-2.6.19.tar.gz във /usr/src
2. Разпакетирах го... tar -zxvf linux-image2.6.19.tar.gz
3. cd linux-2.6.19
4. make menuconfig и заредих стария конфиг файл от папката /boot
5. make-kpkg clean
6. fakeroot make-kpkg --revision=custum.1.0 kernel_image
7. dpkg -i linux-image-2.6.19......deb

 и ето тук идва следната грешка:

Примерен код
Debian:/usr/src# dpkg -i linux-image-2.6.19_custom.1.0_i386.deb
(Reading database ... 171399 files and directories currently installed.)
Preparing to replace linux-image-2.6.19 custom.1.0 (using linux-image-2.6.19_custom.1.0_i386.deb) ...
Done.
Unpacking replacement linux-image-2.6.19 ...
The provided postrm hook script [/sbin/update-grub] could not be run.
Setting up linux-image-2.6.19 (custom.1.0) ...

 Hmm. There is a symbolic link /lib/modules/2.6.19/build
 However, I can not read it: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.19/build


 Hmm. The package shipped with a symbolic link /lib/modules/2.6.19/source
 However, I can not read the target: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.19/source

Running depmod.
Not updating image symbolic links since we are being updated/reinstalled
(custom.1.0 was configured last, according to dpkg)
The provided postinst hook script [/sbin/update-grub] could not be run.
dpkg: error processing linux-image-2.6.19 (--install):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 linux-image-2.6.19
Debian:/usr/src#


После изпълнявам update-grub и намира и добавя новия кернъл, обаче след рестарт като го избера ми дава "Kernel panic". Какво да му направя ? Debian Unstable и ядро 2.6.18-3-686



Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

lifesaver

  • Напреднали
  • *****
  • Публикации: 71
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #1 -: Feb 08, 2007, 17:33 »
А що не си сложиш 2.6.20
Днес го качих без проблем.
Активен

Не си лягайте преди да сте се прибрали!
-------------------------------------------------
       Linux debian 2.6.19,KDE 3.5.7

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #2 -: Feb 08, 2007, 17:45 »
Току що и него пробвах и пак така... '<img'>
Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

d1saster

  • Напреднали
  • *****
  • Публикации: 182
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #3 -: Feb 08, 2007, 19:35 »
Не ползвай стария конфигурационен файл. Направи го наново, след като минеш през всички опции на ядрото. При зареждане трябва да се изпише каква е причината за Kernel Panic.
Активен

neter

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 3408
  • Distribution: Debian, SailfishOS, CentOS
  • Window Manager: LXDE, Lipstick
    • Профил
    • WWW
Проблем с инсталиране на 2.6.19 ядро
« Отговор #4 -: Feb 08, 2007, 19:54 »
И аз бих ти препоръчал да си го настроиш ръчно, вместо да ползваш старата конфигурация. А Kernel Panic-а най-често съм забелязал, че се появява, понеже народа масово забравя да си направи initrd.img. В горната извадка, която си дал не е това проблема, но ако си го компилираш с ръчно въведени настройки и пак ти изпише Kernel Panic и пише нещо за харддиска, то проблема ти е липса на initrd.img. Под Дебиан ше стане по подобен на този начин:
mkinitrd -o initrd.img-2.6.19 2.6.19
initrd.img се прави след като си компилирал и качил ядрото.
Активен

"Да си добре приспособен към болно общество не е признак за добро здраве" - Джиду Кришнамурти

gat3way

  • Напреднали
  • *****
  • Публикации: 6050
  • Relentless troll
    • Профил
    • WWW
Проблем с инсталиране на 2.6.19 ядро
« Отговор #5 -: Feb 08, 2007, 20:33 »
Хм, ползвам дебиан от сигурно поне 5-6 години и досега никога не съм инсталирал готово ядро от дебиански пакет, с едно изключение наскоро, главно заради мързел и защото миграцията към LVM2 ми беше нещо с което не искам да се занимавам особено.

Моят съвет е да си дръпнеш едно stock ядро от kernel.org, ако държиш на разни пач-ове, да дръпнеш и тях, да го пач-неш. После си го конфигурираш по познатия начин - слагаш всичко необходимо за запалване на машината, специално драйверите за блокови устройства (за съжаление не винаги е възможно, особено ако root файловата система се намира върху софтуерен RAID масив - тогава initrd е нещо неизбежно) - и нищо повече. Компилираш всичко останало под формата на модули (е не всичко, а това което мислиш че някога може да ти се наложи да ползваш - примерно всички драйвери за мрежови карти, USB глупости, мрежови файлови системи, netfilter глупости, QoS/traffic control дивни, ако е за десктоп машина и разни видеодрайвери и т.н).

Оттам нататък, компилираш ядрото и модулите, инсталираш го, буташ настройките на grub/lilo в зависимост от ситуацията и това е. И без това специално готовите дебиан-ски ядра дето идват като .deb пакети не очароват особено - за разлика от редхат-ските например нямат разни забавни пач-ове, просто са правени да тръгнат при възможно най-голям брой системи. Правят ги тежки и пълни с ненужен код и драйвери, почти винаги неоптимизирани за твоят случай (примерно ако става въпрос за десктоп машина предпочитам preemption и CFQ I/O scheduling по дефолт, не искам подръжка на ipv6 и т.н).

В повечето случаи усещам добре разликата между моето си ядро и някакво дето са ми го компилирали наготово. Особено ако става въпрос за десктоп машина или пък за сървър, който вдига повечко I/O или отваря голяма бройка TCP сокети. Отделно, обичам да си правя един инитскрипт, където tune-вам разни procfs/sysfs променливи (sysctl.conf важи само за procfs), за да изтискам още от машината. Сега в 2.6.20 са вкарали някакво AKT, което на теория обезсмисляло ужким последните упражнения, но нямам още лични впечатления.

Накратко, не те съветвам да ползваш дебианските kernel пакети, постарай се малко повече сам. От дебиан няма как да знаят по-добре от теб самия кое е оптимално в твоя случай - а и за разлика от РедХат нямат задължение да ти подържат операционната система и да ти решават ако могат софтуерни bottlenecks, възникнали поради тяхна вина.
Активен

"Knowledge is power" - France is Bacon

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #6 -: Feb 08, 2007, 22:09 »
Цитат (neter @ Фев. 08 2007,20:54)
И аз бих ти препоръчал да си го настроиш ръчно, вместо да ползваш старата конфигурация. А Kernel Panic-а най-често съм забелязал, че се появява, понеже народа масово забравя да си направи initrd.img. В горната извадка, която си дал не е това проблема, но ако си го компилираш с ръчно въведени настройки и пак ти изпише Kernel Panic и пише нещо за харддиска, то проблема ти е липса на initrd.img. Под Дебиан ше стане по подобен на този начин:
mkinitrd -o initrd.img-2.6.19 2.6.19
initrd.img се прави след като си компилирал и качил ядрото.

Мдаааа....бях забравил да направя initrd файл... сега стана '<img'>
Омам още 2 проблема, но ще напиша нова тема
Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

d1saster

  • Напреднали
  • *****
  • Публикации: 182
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #7 -: Feb 09, 2007, 02:13 »
Питам от любопитсвто: Защо изобщо се налага използването на initrd? Не става ли да се компилира файловата система, използвана в момента в ядрото, а не като модул. Струва ми се излишна цялата работа.
Активен

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #8 -: Feb 09, 2007, 02:24 »
Цитат (d1saster @ Фев. 09 2007,03:13)
Питам от любопитсвто: Защо изобщо се налага използването на initrd? Не става ли да се компилира файловата система, използвана в момента в ядрото, а не като модул. Струва ми се излишна цялата работа.

По простата причина, че незнам как става '<img'>
Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

neter

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 3408
  • Distribution: Debian, SailfishOS, CentOS
  • Window Manager: LXDE, Lipstick
    • Профил
    • WWW
Проблем с инсталиране на 2.6.19 ядро
« Отговор #9 -: Feb 09, 2007, 11:37 »
Трябва да се прави initrd.img, заради забраванковци като този пич или заради стари навици като моите '<img'>



Активен

"Да си добре приспособен към болно общество не е признак за добро здраве" - Джиду Кришнамурти

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #10 -: Feb 09, 2007, 12:55 »
Сега пък друг проблем .... инсталирах 2.6.20, но пък драйвери за видеото не мога да си инсталирам '<img'> ...следвам следните стъпки:
1. apt-get install fglrx-control fglrx-driver fglrx-driver-dev fglrx-kernel-src
2. cd /usr/src
3. tar jxvf fglrx.tar.bz2
4. cd modules/fglrx
5. module-assistant prepare
6. module-assistant a-i fglrx ...мдааа ии тук по време не "step 4" спира и ми показва 300 реда лог... забелязвам, че грешките започват, след влизането в /usr/src/linux-2.6.20...
някакви идеи ?
Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

neter

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 3408
  • Distribution: Debian, SailfishOS, CentOS
  • Window Manager: LXDE, Lipstick
    • Профил
    • WWW
Проблем с инсталиране на 2.6.19 ядро
« Отговор #11 -: Feb 09, 2007, 13:56 »
Каква ти е видео картата? От де ги видя тези стъпки? Какви са грешките, които дава?
Активен

"Да си добре приспособен към болно общество не е признак за добро здраве" - Джиду Кришнамурти

SHTILL

  • Напреднали
  • *****
  • Публикации: 273
    • Профил
Проблем с инсталиране на 2.6.19 ядро
« Отговор #12 -: Feb 09, 2007, 14:06 »
Видеото ми е ATI Radeon X300/X550... Ето от къде съм гледал за драйверите... със старото ядро си върви без никакъв проблем...а грешките няма как да ти ги дам, защото са минимум 300 реда...
Активен

http://www.bezdom.info - СПАСИ ПРИЯТЕЛ...
Debian SiD KDE 3.5.9
Kernel 2.6.25-2-686
Inter Celeron D 2.6 GHz, Albatron PX915P4C Pro, ATI Radeon X300/X550 128MB - PCi-E, 2x512 MB RAM (Dual Channel - 400M Hz) 80 GB HDD Western Digital - ATA

neter

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 3408
  • Distribution: Debian, SailfishOS, CentOS
  • Window Manager: LXDE, Lipstick
    • Профил
    • WWW
Проблем с инсталиране на 2.6.19 ядро
« Отговор #13 -: Feb 09, 2007, 14:13 »
Има как. С повече желание ще ги копираш и ще ми ги пратиш на мейла. Аз затова съм го оставил  '<img'>
Активен

"Да си добре приспособен към болно общество не е признак за добро здраве" - Джиду Кришнамурти